| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Hooks.InsertPosition

Portability | portable
Stability | unstable
Maintainer | vogt.adam@gmail.com

Contents

Usage

Description
Configure where new windows should be added and which window should be focused.
Synopsis

insertPosition :: Position -> Focus -> ManageHook

data Focus

= Newer
| Older

data Position

= Master
| End
| Above
| Below

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Hooks.InsertPosition
     xmonad defaultConfig { manageHook = insertPosition Master Newer <+> myManageHook }

You should you put the manageHooks that use doShift to take effect before `insertPosition`, so that the window order will be consistent. Because ManageHooks compose from right to left (like function composition `.`), this means that `insertPosition` should be the leftmost ManageHook.

insertPosition :: Position -> Focus -> ManageHook | Source

insertPosition. A manage hook for placing new windows. XMonad's default is the same as using: `insertPosition Above Newer`.

data Focus | Source

Constructors

Newer |
Older |

data Position | Source

Constructors

Master |
End |
Above |
Below |

Produced by Haddock version 2.4.2